Quassel IRC - Bug #113

/topic without parameter should display the topic
Description

example from weechat:

[12:37:19] =—DasFopic-von#quasseHautet:"QuasseHRGH-ALL-NEW-http://quassel-irc.org-H- Bugs-and-Feature- Regquests:-

http:/bugs.quassel-irc.org-H-Warning:+570+core-crashes-en-exit——2
[2:3719}-= Topic gesetzt von EQS, Fri Feb 22 00:03:51 2008

Associated revisions

Revision 31cf429ff1ffbc1cf1dea04935744f0ce0fb9829 - 11/15/2008 09:51 PM - Manuel Nickschas
Display rather than clear the channel topic on /topic without params

This has been discussed in BR #113 as well as #BR 289. User feedback has shown that

this is the expected behavior, moreover users have complained about accidentally clearing

the topic.
This requires a core restart.

Revision 31cf429f - 11/15/2008 09:51 PM - Manuel Nickschas

Display rather than clear the channel topic on /topic without params

This has been discussed in BR #113 as well as #BR 289. User feedback has shown that
this is the expected behavior, moreover users have complained about accidentally clearing

the topic.
This requires a core restart.

History

#1 - 03/21/2008 04:27 PM - EgS

We have a pretty nice gui and don't need to rely on such crude features... -> won't fix

#2 - 11/15/2008 09:55 PM - Sputnick

Since several users have complained about clearing the topic accidentally, and param-less /topic indeed displays the topic in most clients (and never
clears it), | have changed the behavior.

07/17/2025 1/1



http://quassel-irc.org
http://bugs.quassel-irc.org
http://git.quassel-irc.org/?p=quassel.git;a=commit;h=31cf429ff1ffbc1cf1dea04935744f0ce0fb9829
http://www.tcpdf.org

